#!/usr/bin/env python
#
# yum-plugin-repoheader 0.1
#
# Based on yum-plugin-repolist, Copyright (c) 2007 Daniel de Kok
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You can install this plugin by copying it to /usr/lib/yum-plugins. To
# enable this plugin, make sure that you have 'plugins=1' in /etc/yum.conf,
# and create the file /etc/yum/pluginconf.d/repolist.conf with the
# following content:
#
# [main]
# enabled=1
#

from yum.constants import *
from yum.plugins import PluginYumExit, TYPE_CORE, TYPE_INTERFACE

requires_api_version = '2.1'
plugin_type = (TYPE_CORE,TYPE_INTERFACE,)


def init_hook(conduit):
	format_string = "%-15.15s %-35.35s %-15.15s %s"

	allrepos = conduit.getRepos().listEnabled()
	allrepos.sort()

	conduit.info(2,"\n")
	conduit.info(2,"repo id         repo name                           status\n")
	conduit.info(2,"=======         =========                           ======\n")

	for repo in allrepos:
		conduit.info(2,"%-15.15s %-35.35s %-15.15s" % (repo.id, repo.name,'enabled'))

	conduit.info(2,"\n")





